Package org.jfree.layouting.layouter.counters.numeric

## Class NumericCounterStyle

- java.lang.Object
- - org.jfree.layouting.layouter.counters.numeric.NumericCounterStyle

- All Implemented Interfaces:
    `CounterStyle`
  Direct Known Subclasses:
    `ArabicIndicCounterStyle`, `BengaliCounterStyle`, `CambodianCounterStyle`, `DevanagariCounterStyle`

      public abstract class NumericCounterStyle
      extends java.lang.Object
      implements CounterStyle

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `NumericCounterStyle​(int base, java.lang.String suffix)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCounterValue​(int index)` |
    `java.lang.String` | `getSuffix​()` |
    `void` | `setReplacementChar​(char org, char other)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericCounterStyle

          protected NumericCounterStyle​(int base,
                                        java.lang.String suffix)

  - ### Method Detail

    - #### setReplacementChar

          public final void setReplacementChar​(char org,
                                               char other)

    - #### getCounterValue

          public final java.lang.String getCounterValue​(int index)

      Specified by:
        `getCounterValue` in interface `CounterStyle`

    - #### getSuffix

          public java.lang.String getSuffix​()

      Specified by:
        `getSuffix` in interface `CounterStyle`